Skip to main content
Server path: /resend-messaging | Type: Application | PCID required: Yes

Tools

ToolDescription
resend_messaging_delete_automations_by_automation_idDelete an automation
resend_messaging_delete_broadcasts_by_idRemove an existing broadcast that is in the draft status
resend_messaging_delete_events_by_identifierDelete an event
resend_messaging_delete_templates_by_idRemove an existing template
resend_messaging_get_automationsRetrieve a list of automations
resend_messaging_get_automations_by_automation_idRetrieve a single automation
resend_messaging_get_automations_by_automation_id_runsRetrieve a list of automation runs
resend_messaging_get_automations_by_automation_id_runs_by_run_idRetrieve a single automation run
resend_messaging_get_broadcastsRetrieve a list of broadcasts
resend_messaging_get_broadcasts_by_idRetrieve a single broadcast
resend_messaging_get_emailsRetrieve a list of emails
resend_messaging_get_emails_by_email_idRetrieve a single email
resend_messaging_get_emails_by_email_id_attachmentsRetrieve a list of attachments for a sent email
resend_messaging_get_emails_by_email_id_attachments_by_attachment_idRetrieve a single attachment for a sent email
resend_messaging_get_emails_receivingRetrieve a list of received emails
resend_messaging_get_emails_receiving_by_email_idRetrieve a single received email
resend_messaging_get_emails_receiving_by_email_id_attachmentsRetrieve a list of attachments for a received email
resend_messaging_get_emails_receiving_by_email_id_attachments_by_attachment_idRetrieve a single attachment for a received email
resend_messaging_get_eventsRetrieve a list of events
resend_messaging_get_events_by_identifierRetrieve a single event
resend_messaging_get_logsRetrieve a list of logs
resend_messaging_get_logs_by_log_idRetrieve a single log
resend_messaging_get_templatesRetrieve a list of templates
resend_messaging_get_templates_by_idRetrieve a single template
resend_messaging_patch_automations_by_automation_idUpdate an automation
resend_messaging_patch_broadcasts_by_idUpdate an existing broadcast
resend_messaging_patch_emails_by_email_idUpdate a single email
resend_messaging_patch_events_by_identifierUpdate an event
resend_messaging_patch_templates_by_idUpdate an existing template
resend_messaging_post_automationsCreate an automation
resend_messaging_post_automations_by_automation_id_stopStop an automation
resend_messaging_post_broadcastsCreate a broadcast
resend_messaging_post_broadcasts_by_id_sendSend or schedule a broadcast
resend_messaging_post_emailsSend an email
resend_messaging_post_emails_batchTrigger up to 100 batch emails at once.
resend_messaging_post_emails_by_email_id_cancelCancel the schedule of the e-mail.
resend_messaging_post_eventsCreate an event
resend_messaging_post_events_sendSend an event
resend_messaging_post_templatesCreate a template
resend_messaging_post_templates_by_id_duplicateDuplicate a template
resend_messaging_post_templates_by_id_publishPublish a template

resend_messaging_delete_automations_by_automation_id

Delete an automation Parameters:
ParameterTypeRequiredDefaultDescription
automation_idstringYesThe ID of the automation.

resend_messaging_delete_broadcasts_by_id

Remove an existing broadcast that is in the draft status Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Broadcast ID.

resend_messaging_delete_events_by_identifier

Delete an event Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesThe event ID (UUID) or event name.

resend_messaging_delete_templates_by_id

Remove an existing template Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Template ID or alias.

resend_messaging_get_automations

Retrieve a list of automations Parameters:
ParameterTypeRequiredDefaultDescription
statusstringNoFilter automations by status.
limitintegerNoNumber of items to return.
afterstringNoReturn items after this cursor.
beforestringNoReturn items before this cursor.

resend_messaging_get_automations_by_automation_id

Retrieve a single automation Parameters:
ParameterTypeRequiredDefaultDescription
automation_idstringYesThe ID of the automation.

resend_messaging_get_automations_by_automation_id_runs

Retrieve a list of automation runs Parameters:
ParameterTypeRequiredDefaultDescription
automation_idstringYesThe ID of the automation.
statusstringNoFilter runs by status. Comma-separated list of: running, completed, failed, cancelled.
limitintegerNoNumber of items to return.
afterstringNoReturn items after this cursor.
beforestringNoReturn items before this cursor.

resend_messaging_get_automations_by_automation_id_runs_by_run_id

Retrieve a single automation run Parameters:
ParameterTypeRequiredDefaultDescription
automation_idstringYesThe ID of the automation.
run_idstringYesThe ID of the automation run.

resend_messaging_get_broadcasts

Retrieve a list of broadcasts Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoNumber of items to return.
afterstringNoReturn items after this cursor.
beforestringNoReturn items before this cursor.

resend_messaging_get_broadcasts_by_id

Retrieve a single broadcast Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Broadcast ID.

resend_messaging_get_emails

Retrieve a list of emails Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoNumber of items to return.
afterstringNoReturn items after this cursor.
beforestringNoReturn items before this cursor.

resend_messaging_get_emails_by_email_id

Retrieve a single email Parameters:
ParameterTypeRequiredDefaultDescription
email_idstringYesThe ID of the email.

resend_messaging_get_emails_by_email_id_attachments

Retrieve a list of attachments for a sent email Parameters:
ParameterTypeRequiredDefaultDescription
email_idstringYesThe ID of the email.
limitintegerNoMaximum number of attachments to return.
afterstringNoPagination cursor to fetch results after this attachment ID. Cannot be used with ‘before’.
beforestringNoPagination cursor to fetch results before this attachment ID. Cannot be used with ‘after’.

resend_messaging_get_emails_by_email_id_attachments_by_attachment_id

Retrieve a single attachment for a sent email Parameters:
ParameterTypeRequiredDefaultDescription
email_idstringYesThe ID of the email.
attachment_idstringYesThe ID of the attachment.

resend_messaging_get_emails_receiving

Retrieve a list of received emails Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoMaximum number of received emails to return.
afterstringNoPagination cursor to fetch results after this email ID. Cannot be used with ‘before’.
beforestringNoPagination cursor to fetch results before this email ID. Cannot be used with ‘after’.

resend_messaging_get_emails_receiving_by_email_id

Retrieve a single received email Parameters:
ParameterTypeRequiredDefaultDescription
email_idstringYesThe ID of the received email.

resend_messaging_get_emails_receiving_by_email_id_attachments

Retrieve a list of attachments for a received email Parameters:
ParameterTypeRequiredDefaultDescription
email_idstringYesThe ID of the received email.
limitintegerNoMaximum number of attachments to return.
afterstringNoPagination cursor to fetch results after this attachment ID. Cannot be used with ‘before’.
beforestringNoPagination cursor to fetch results before this attachment ID. Cannot be used with ‘after’.

resend_messaging_get_emails_receiving_by_email_id_attachments_by_attachment_id

Retrieve a single attachment for a received email Parameters:
ParameterTypeRequiredDefaultDescription
email_idstringYesThe ID of the received email.
attachment_idstringYesThe ID of the attachment.

resend_messaging_get_events

Retrieve a list of events Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoNumber of items to return.
afterstringNoReturn items after this cursor.
beforestringNoReturn items before this cursor.

resend_messaging_get_events_by_identifier

Retrieve a single event Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesThe event ID (UUID) or event name.

resend_messaging_get_logs

Retrieve a list of logs Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoNumber of items to return.
afterstringNoReturn items after this cursor.
beforestringNoReturn items before this cursor.

resend_messaging_get_logs_by_log_id

Retrieve a single log Parameters:
ParameterTypeRequiredDefaultDescription
log_idstringYesThe ID of the log.

resend_messaging_get_templates

Retrieve a list of templates Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoNumber of items to return.
afterstringNoReturn items after this cursor.
beforestringNoReturn items before this cursor.

resend_messaging_get_templates_by_id

Retrieve a single template Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Template ID or alias.

resend_messaging_patch_automations_by_automation_id

Update an automation Parameters:
ParameterTypeRequiredDefaultDescription
automation_idstringYesThe ID of the automation.
connectionsobject[]NoThe connections between steps in the automation graph. Must be provided together with steps.
namestringNoThe name of the automation.
statusstringNoThe status of the automation.
stepsobject[]NoThe steps that compose the automation workflow. Must be provided together with connections.

resend_messaging_patch_broadcasts_by_id

Update an existing broadcast Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Broadcast ID.
audience_idstringNoUse segment_id instead. Unique identifier of the audience this broadcast will be sent to.
fromstringNoThe email address of the sender.
htmlstringNoThe HTML version of the message.
namestringNoName of the broadcast.
preview_textstringNoThe preview text of the email.
reply_tostring[]NoThe email addresses to which replies should be sent.
segment_idstringNoUnique identifier of the segment this broadcast will be sent to.
subjectstringNoThe subject line of the email.
textstringNoThe plain text version of the message.
topic_idstringNoThe topic ID that the broadcast will be scoped to.

resend_messaging_patch_emails_by_email_id

Update a single email Parameters:
ParameterTypeRequiredDefaultDescription
email_idstringYesThe ID of the email.
scheduled_atstringYesSchedule email to be sent later. The date should be in ISO 8601 format.

resend_messaging_patch_events_by_identifier

Update an event Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesThe event ID (UUID) or event name.
schemaobjectYesA flat key/type map defining the event payload schema. Set to null to clear the schema. Supported types are string, number, boolean, and date.

resend_messaging_patch_templates_by_id

Update an existing template Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Template ID or alias.
aliasstringNoThe alias of the template.
fromstringNoSender email address. To include a friendly name, use the format “Your Name <sender@domain.com>”.
htmlstringNoThe HTML version of the template.
namestringNoThe name of the template.
reply_tostring[]NoReply-to email addresses.
subjectstringNoEmail subject.
textstringNoThe plain text version of the template.
variablesobject[]NoThe variables value

resend_messaging_post_automations

Create an automation Parameters:
ParameterTypeRequiredDefaultDescription
connectionsobject[]YesThe connections between steps in the automation graph.
namestringYesThe name of the automation.
statusstringNoThe initial status of the automation. Defaults to disabled.
stepsobject[]YesThe steps that compose the automation workflow. Must include at least one trigger step.

resend_messaging_post_automations_by_automation_id_stop

Stop an automation Parameters:
ParameterTypeRequiredDefaultDescription
automation_idstringYesThe ID of the automation.

resend_messaging_post_broadcasts

Create a broadcast Parameters:
ParameterTypeRequiredDefaultDescription
audience_idstringNoUse segment_id instead. Unique identifier of the segment this broadcast will be sent to.
fromstringYesThe email address of the sender.
htmlstringNoThe HTML version of the message.
namestringNoName of the broadcast.
preview_textstringNoThe preview text of the email.
reply_tostring[]NoThe email addresses to which replies should be sent.
scheduled_atstringNoSchedule time to send the broadcast. Can only be used if send is true.
segment_idstringYesUnique identifier of the segment this broadcast will be sent to.
sendbooleanNoWhether to send the broadcast immediately or keep it as a draft.
subjectstringYesThe subject line of the email.
textstringNoThe plain text version of the message.
topic_idstringNoThe topic ID that the broadcast will be scoped to.

resend_messaging_post_broadcasts_by_id_send

Send or schedule a broadcast Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Broadcast ID.
scheduled_atstringNoSchedule email to be sent later. The date should be in ISO 8601 format.

resend_messaging_post_emails

Send an email Parameters:
ParameterTypeRequiredDefaultDescription
attachmentsobject[]NoThe attachments value
bccstring[]NoBcc recipient email address. For multiple addresses, send as an array of strings.
ccstring[]NoCc recipient email address. For multiple addresses, send as an array of strings.
fromstringYesSender email address. To include a friendly name, use the format “Your Name <sender@domain.com>”.
headersobjectNoCustom headers to add to the email.
htmlstringNoThe HTML version of the message.
reply_tostring[]NoReply-to email address. For multiple addresses, send as an array of strings.
scheduled_atstringNoSchedule email to be sent later. The date should be in ISO 8601 format.
subjectstringYesEmail subject.
tagsobject[]NoThe tags value
templateobjectNoThe template value
textstringNoThe plain text version of the message.
tostring[]YesRecipient email address. For multiple addresses, send as an array of strings. Max 50.
topic_idstringNoThe topic ID to scope the email to. If the recipient is a contact and opted-in to the topic, the email is sent. If opted-out, the email is not sent. If the recipient is not a contact, the email is sent if the topic’s default subscription is opt_in.

resend_messaging_post_emails_batch

Trigger up to 100 batch emails at once. Parameters:
ParameterTypeRequiredDefaultDescription
bodyobject[]NoRequest body

resend_messaging_post_emails_by_email_id_cancel

Cancel the schedule of the e-mail. Parameters:
ParameterTypeRequiredDefaultDescription
email_idstringYesThe ID of the email.

resend_messaging_post_events

Create an event Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name of the event. Cannot start with the reserved resend: prefix.
schemaobjectNoAn optional flat key/type map defining the event payload schema. Supported types are string, number, boolean, and date.

resend_messaging_post_events_send

Send an event Parameters:
ParameterTypeRequiredDefaultDescription
contact_idstringNoThe ID of the contact to associate with this event. Exactly one of contact_id or email must be provided.
emailstringNoThe email address to associate with this event. Exactly one of contact_id or email must be provided.
eventstringYesThe name of the event to send.
payloadobjectNoAn optional payload of key/value pairs to include with the event.

resend_messaging_post_templates

Create a template Parameters:
ParameterTypeRequiredDefaultDescription
aliasstringNoThe alias of the template.
fromstringNoSender email address. To include a friendly name, use the format “Your Name <sender@domain.com>”.
htmlstringYesThe HTML version of the template.
namestringYesThe name of the template.
reply_tostring[]NoReply-to email addresses.
subjectstringNoEmail subject.
textstringNoThe plain text version of the template.
variablesobject[]NoThe variables value

resend_messaging_post_templates_by_id_duplicate

Duplicate a template Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Template ID or alias.

resend_messaging_post_templates_by_id_publish

Publish a template Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Template ID or alias.